//
//  SKTArrowLine.h
//  Sketch BP
//
//  Created by OD  on Sat Jan 22 2005.
//  Copyright (c) 2005 __MyCompanyName__. All rights reserved.
//

//#import <Foundation/Foundation.h>
#import <Cocoa/Cocoa.h>
#import "SKTGraphic.h"

@interface SKTArrowLine : SKTGraphic {
	@private
	int _direction;
//	NSAffineTransform* _transform;
}


- (void)setDirection:(int)dir;
- (int)direction;
- (void)flipHorizontally;
- (void)flipVertically;
- (BOOL)drawsFill;
- (BOOL)canDrawFill;
- (BOOL)hasNaturalSize;
- (BOOL)hasLineArrowMode;
- (NSBezierPath*)bezierPath;
- (int)knobMask;
- (BOOL)startsAtLowerLeft;
- (BOOL)hitTest:(NSPoint)point isSelected:(BOOL) isSelected;
- (NSMutableDictionary*)propertyListRepresentation;
- (void)loadPropertyListRepresentation :(NSDictionary*) dict;

@end
